package com.bocloud.cmp.model.hmc.sdk.module;

import com.bocloud.cmp.model.hmc.sdk.common.Metadata;

public class ProcessorAttributes {
    private Metadata metadata;
    private DedicatedProcessorConfiguration dedicatedProcessorConfiguration;
    private String hasDedicatedProcessors;
    private SharedProcessorConfiguration sharedProcessorConfiguration;
    private String sharingMode;

    public ProcessorAttributes() {
    }
    /**
     * @return the schemaVersion
     */
    /**
     * @param schemaVersion the schemaVersion to set
     */
    public Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    public String getHasDedicatedProcessors() {
        return hasDedicatedProcessors;
    }

    public void setHasDedicatedProcessors(String hasDedicatedProcessors) {
        this.hasDedicatedProcessors = hasDedicatedProcessors;
    }

    public SharedProcessorConfiguration getSharedProcessorConfiguration() {
        return sharedProcessorConfiguration;
    }

    public void setSharedProcessorConfiguration(SharedProcessorConfiguration sharedProcessorConfiguration) {
        this.sharedProcessorConfiguration = sharedProcessorConfiguration;
    }

    public String getSharingMode() {
        return sharingMode;
    }

    public void setSharingMode(String sharingMode) {
        this.sharingMode = sharingMode;
    }

    /**
     * @return the dedicatedProcessorConfiguration
     */
    public DedicatedProcessorConfiguration getDedicatedProcessorConfiguration() {
        return dedicatedProcessorConfiguration;
    }

    /**
     * @param dedicatedProcessorConfiguration the dedicatedProcessorConfiguration to set
     */
    public void setDedicatedProcessorConfiguration(DedicatedProcessorConfiguration dedicatedProcessorConfiguration) {
        this.dedicatedProcessorConfiguration = dedicatedProcessorConfiguration;
    }

    @Override
    public String toString() {
        return "ProcessorAttributes [metadata=" + metadata + ", hasDedicatedProcessors=" + hasDedicatedProcessors
            + ", sharedProcessorConfiguration=" + sharedProcessorConfiguration
            + ", dedicatedProcessorConfiguration=" + dedicatedProcessorConfiguration + ", sharingMode="
            + sharingMode + "]";
    }
}
